Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class EmptyMapIterator

    java.lang.Object
      org.apache.commons.collections.iterators.EmptyMapIterator

All Implemented Interfaces:
  java.util.Iterator, MapIterator, ResettableIterator

    public class EmptyMapIterator

extends java.lang.Object
implements MapIterator, ResettableIterator

Provides an implementation of an empty map iterator.

Since:
  Commons Collections 3.1
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Field Summary
`static MapIterator` | `INSTANCE` Singleton instance of the iterator.

Constructor Summary
`protected` | `EmptyMapIterator()` Constructor.

Method Summary
`void` | `add(java.lang.Object obj)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `reset()`
`void` | `set(java.lang.Object obj)`
`java.lang.Object` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.MapIterator
`getKey, getValue, hasNext, next, remove, setValue`

Methods inherited from interface org.apache.commons.collections.ResettableIterator
`reset`

Field Detail

### INSTANCE

    public static final MapIterator INSTANCE

  Singleton instance of the iterator.

  Since:
    Commons Collections 3.1

Constructor Detail

### EmptyMapIterator

    protected EmptyMapIterator()

  Constructor.

Method Detail

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### hasPrevious

    public boolean hasPrevious()

### previous

    public java.lang.Object previous()

### nextIndex

    public int nextIndex()

### previousIndex

    public int previousIndex()

### add

    public void add(java.lang.Object obj)

### set

    public void set(java.lang.Object obj)

### remove

    public void remove()

### getKey

    public java.lang.Object getKey()

### getValue

    public java.lang.Object getValue()

### setValue

    public java.lang.Object setValue(java.lang.Object value)

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.